<?php
/*
+--------------------------------------------------------------------------
|   Auto-Collapse Quick Reply
|   =============================================
|   by Tom Moore (www.xekko.co.uk)
|   (c) 2008 Mooseypx Design / Xekko  
|   =============================================
+---------------------------------------------------------------------------
|   > Author: Tom Moore
|   > Date started: 19th December 2008
|	> Revised: 19th May 2009 - Easier way than cookehs
|
|	A basic plugin that will automatically hide the Quick Reply Box
|	Can be turned on/off in "Show Thread Options" instead of deactivating...
+--------------------------------------------------------------------------
*/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("global_end", "colqreply_do");

function colqreply_info()
{
	return array(
		"name"			=> "Auto-Collapse Quick Reply",
		"description"	=> "A basic plugin that auto-collapses the Quick Reply.",
		"website"		=> "http://xekko.co.uk",
		"author"		=> "Tomm M",
		"authorsite"	=> "http://xekko.co.uk",
		"version"		=> "1.1",
		"guid" 			=> "",
		"compatibility" => "14*"
	);
}

function colqreply_install()
{
	global $db, $mybb;
	
	$query = $db->simple_select("settings", "COUNT(sid) as rows", "name = 'autohideqreply'");
	$num_rows = $db->fetch_field($query, 'rows');		
	
	if(!$num_rows)
	{
		$section = $db->fetch_array($db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name = 'showthread'"));
		$last = $db->fetch_array($db->query("SELECT disporder FROM ".TABLE_PREFIX."settings WHERE gid = '".$section['gid']."' ORDER BY disporder DESC LIMIT 1"));	
		$insertarray = array(
			'sid' => 'NULL',
			'name' => 'autohideqreply',
			'title' => 'Auto-hide Quick Reply',
			'description' => 'If this setting is enabled, the Quick Reply box will be automatically collapsed.',
			'optionscode' => 'onoff',
			'value' => '1',				
			'disporder' => $last["disporder"]+1,
			'gid' => $section["gid"],		
			'isdefault' => 0
		);
		$db->insert_query("settings", $insertarray);		
		rebuild_settings();
	}
}

function colqreply_is_installed()
{
	global $db;
	$query = $db->simple_select("settings", "COUNT(sid) as rows", "name = 'autohideqreply'");
	$num_rows = $db->fetch_field($query, 'rows');
	if($num_rows)
	{
		return true;
	}
	else
	{
		return false;
	}
}

function colqreply_uninstall()
{
	global $db, $mybb;
	$query = $db->fetch_array($db->simple_select("settings", "sid", "name = 'autohideqreply'"));
	if($query['sid'])
	{
		$db->delete_query("settings", "sid = '".$query['sid']."'");
	}
}

function colqreply_activate()
{
	if(!colqreply_is_installed && $_GET['action'] == "activate")
	{
		colqreply_install();
	}
}

function colqreply_deactivate()
{
	if(colqreply_is_installed && $_GET['action'] == "deactivate")
	{
		colqreply_uninstall();
	}
}
//--------------------------------------------------
// Hook Function
// We're no baking no cookeh anymore =(
//--------------------------------------------------
function colqreply_do()
{
	global $collapsedimg, $collapsed, $mybb;
	if($mybb->settings['autohideqreply'] == 1)
	{
		$collapsedimg['quickreply'] = '_collapsed';
		$collapsed['quickreply_e'] = 'display: none;';
	}
}
?>